<?php

	############################################################################
	# 	
	#	Meteotemplate
	# 	http://www.meteotemplate.com
	# 	Free website template for weather enthusiasts
	# 	Author: Jachym
	#           Brno, Czech Republic
	# 	First release: 2015
	#
	############################################################################
	#
	#	Sticker 800x150px
	#
	# 	Script for generating sticker.
	#
	############################################################################
	#	Version and change log
	#
	# 	v1.0 	2015-07-23	Initial release
	#
	############################################################################
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."scripts/functions.php");
	header('Content-type: image/png');
	
	$text = $_GET['text'];
	$design = $_GET['color1'];
	$design2 = $_GET['color2'];
	
	$a = mysqli_query($con,"
		SELECT *
		FROM alldata 
		ORDER BY DateTime 
		DESC LIMIT 1
	");

	while($row = mysqli_fetch_array($a)){
		$T = convertT($row['T']);
		$H = $row['H'];
		$W = convertW($row['W']);
		$P = convertP($row['P']);
		$G = convertW($row['G']);
		$B = $row['B'];
		$A = convertT($row['A']);
		$D = convertT($row['D']);
		$R = convertR($row['R']);
		$S = $row['S'];
	}
	
	$width = 500;
	$height = 150;
  
	$png_image = imagecreatetruecolor($width, $height);
	imagealphablending( $png_image, true );
	imagesavealpha( $png_image, true );
	$bg = imagecolorallocate($png_image, hex2rgb($color_schemes[$design]['900'])[0], hex2rgb($color_schemes[$design]['900'])[1], hex2rgb($color_schemes[$design]['900'])[2]);
	$color = imagecolorallocate($png_image, hex2rgb($color_schemes[$design2]['700'])[0], hex2rgb($color_schemes[$design2]['700'])[1], hex2rgb($color_schemes[$design2]['700'])[2]);
	$color2 = imagecolorallocate($png_image, hex2rgb($color_schemes[$design2]['100'])[0], hex2rgb($color_schemes[$design2]['100'])[1], hex2rgb($color_schemes[$design2]['100'])[2]);
  
  
	roundRect($png_image, 0, 0, $width, $height, 0,  $bg);
	roundRect($png_image, 20, 20, ($width-20), ($height-20), 10,  $color);
  
	$icon1 = imagecreatefrompng('../../imgs/flags/big/'.$stationCountry.'.png');
	imagealphablending( $icon1, true );
	imagesavealpha( $icon1, true );
	imagecopy($png_image, $icon1, 4, 4, 0, 0, 80, 80);
	
	$white = imagecolorallocate($png_image, 255, 255, 255);
	$black = imagecolorallocate($png_image, 0, 0, 0);
  
	textCenter($png_image,($width/2 + 3), 53, $text, 8, 22, $black, 0);
	textCenter($png_image,($width/2), 50, $text, 8, 22, $color2, 0);
	
	textCenter($png_image,($width/6 + 1), 91, $T, 9, 18, $black, 0);  
	textCenter($png_image,($width/6), 90, $T, 9, 18, $color2, 0);
	textCenter($png_image,($width/6 * 2 + 1), 91, $H, 9, 18, $black, 0);  
	textCenter($png_image,($width/6 * 2), 90, $H, 9, 18, $color2, 0);
	textCenter($png_image,($width/6 * 3 + 1), 91, $P, 9, 18, $black, 0);  
	textCenter($png_image,($width/6 * 3), 90, $P, 9, 18, $color2, 0);
	textCenter($png_image,($width/6 * 4 + 1), 91, $W, 9, 18, $black, 0);  
	textCenter($png_image,($width/6 * 4), 90, $W, 9, 18, $color2, 0);    
	textCenter($png_image,($width/6 * 5 + 1), 91, $R, 9, 18, $black, 0);  
	textCenter($png_image,($width/6 * 5), 90, $R, 9, 18, $color2, 0); 

	textCenter($png_image,($width/6 + 1), 121, "°".$displayTempUnits, 6, 12, $black, 0);  
	textCenter($png_image,($width/6), 120, "°".$displayTempUnits, 6, 12, $color2, 0);
	textCenter($png_image,($width/6 * 2 + 1), 121, '%', 6, 12, $black, 0);  
	textCenter($png_image,($width/6 * 2), 120, '%', 6, 12, $color2, 0);
	textCenter($png_image,($width/6 * 3 + 1), 121, $displayPressUnits, 6, 12, $black, 0);  
	textCenter($png_image,($width/6 * 3), 120, $displayPressUnits, 6, 12, $color2, 0);
	textCenter($png_image,($width/6 * 4 + 1), 121, $displayWindUnits, 6, 12, $black, 0);  
	textCenter($png_image,($width/6 * 4), 120, $displayWindUnits, 6, 12, $color2, 0);    
	textCenter($png_image,($width/6 * 5 + 1), 121, $displayRainUnits, 6, 12, $black, 0);  
	textCenter($png_image,($width/6 * 5), 120, $displayRainUnits, 6, 12, $color2, 0); 

	textCenter($png_image,($width/2), 145, $pageURL, 3, 8, $color2, 0);

	imagepng($png_image);

	function textCenter($img, $x, $y, $text, $size, $ttfsize, $color, $angle) {
		$gsSupport = gd_info();
		if ($gsSupport["FreeType Support"] == 0){
		   $x -= (imagefontwidth($size) * strlen($text)) / 2;
		   $y -= (imagefontheight($size)) / 2;
		   imagestring($img, $size, $x, $y - 3, $text, $color);
		}
		else {
			$box = imagettfbbox ($ttfsize, $angle, 'Roboto-Bold.ttf', $text);
			$x -= ($box[2] - $box[0]) / 2;
			$y -= ($box[3] - $box[1]) / 2;
			imagettftext ($img, $ttfsize, $angle, $x, $y, $color, 'Roboto-Bold.ttf', $text);
		} 

	}
	function hex2rgb($hex){
		$hex = str_replace("#", "", $hex);
		if(strlen($hex) == 3) {
			$r = hexdec(substr($hex,0,1).substr($hex,0,1));
			$g = hexdec(substr($hex,1,1).substr($hex,1,1));
			$b = hexdec(substr($hex,2,1).substr($hex,2,1));
		} 
		else {
			$r = hexdec(substr($hex,0,2));
			$g = hexdec(substr($hex,2,2));
			$b = hexdec(substr($hex,4,2));
		}
		$rgb = array($r, $g, $b);
		return $rgb;
	}
	function roundRect($im,$x,$y,$cx,$cy,$rad,$col){
		imagefilledrectangle($im,$x,$y+$rad,$cx,$cy-$rad,$col);
		imagefilledrectangle($im,$x+$rad,$y,$cx-$rad,$cy,$col);
		$dia = $rad*2;
		imagefilledellipse($im, $x+$rad, $y+$rad, $rad*2, $dia, $col);
		imagefilledellipse($im, $x+$rad, $cy-$rad, $rad*2, $dia, $col);
		imagefilledellipse($im, $cx-$rad, $cy-$rad, $rad*2, $dia, $col);
		imagefilledellipse($im, $cx-$rad, $y+$rad, $rad*2, $dia, $col);
	}
?>